Skip to main content
GET
/
api
/
apps
/
beta
/
apps
/
{appId}
/
versions
/
{versionId}
/
instances
/
{instanceId}
/
realTimeLogs
Get App Instance Real Time Logs
curl --request GET \
  --url https://api.example.com/api/apps/beta/apps/{appId}/versions/{versionId}/instances/{instanceId}/realTimeLogs \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "isComplete": true,
  "logContent": [
    {
      "log": "<string>",
      "logType": "<string>",
      "size": 123,
      "timestamp": 123
    }
  ],
  "pagination": {
    "latestTime": "<string>",
    "limit": 123,
    "offset": 123
  }
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

appId
string
required

The id of the app to retrieve an instance's real time logs for.

versionId
string
required

The id of the app version to retrieve an instance's real time logs for.

instanceId
string
required

The id of the app instance to retrieve real time logs for.

Query Parameters

logType
enum<string>
default:complete

The type of log to retrieve. The available types of logs are: complete - This is the default if the value is not provided. All logs lines displayed in the app instance's runtime environment. stdout - Log lines displayed in the stdout of the app instance's runtime environment. stderr - Log lines displayed in the stderr of the app instance's runtime environment. prepareoutput - Log lines generated by the environment preparing the app instance. Defaults to complete.

Available options:
complete,
prepareoutput,
stdout,
stderr
limit
integer
default:10000

The maximum number of result to retrieve. Defaults to 10000.

offset
integer
default:0

The offset from the first result. Defaults to 0.

latestTime
string
default:0

The epoch timestamp after which to return logs in nanoseconds. Defaults to 0.

Response

Success

isComplete
boolean
required
logContent
object[]
required
pagination
object
required